## com.imcode.imcms.api
Class LuceneParsedQuery

    java.lang.Object
      com.imcode.imcms.api.SearchQuery
          com.imcode.imcms.api.LuceneParsedQuery

    public class LuceneParsedQuery

extends SearchQuery

Constructor Summary
`LuceneParsedQuery(java.lang.String queryString)`

Method Summary
`static org.apache.lucene.search.Query` `parse(java.lang.String queryString)`

Methods inherited from class com.imcode.imcms.api.SearchQuery
`setLogged, setSort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneParsedQuery

    public LuceneParsedQuery(java.lang.String queryString)
                      throws BadQueryException

Throws:
  `BadQueryException`

Method Detail

### parse

    public static org.apache.lucene.search.Query parse(java.lang.String queryString)
                                                throws org.apache.lucene.queryParser.ParseException

  Throws:
    `org.apache.lucene.queryParser.ParseException`